Bug 328391 - Reduced coverage by 'Bluecurve' icons after upgrade to 'bluecurve-icon-theme'
Reduced coverage by 'Bluecurve' icons after upgrade to 'bluecurve-icon-theme'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluecurve-icon-theme (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: ArtworkSplit
  Show dependency treegraph
 
Reported: 2007-10-11 16:18 EDT by Joachim Frieben
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 03:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sample screenshot after switching to 'Bluecurve' theme. (41.63 KB, image/png)
2007-10-11 16:22 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-10-11 16:18:23 EDT
Description of problem:
After upgrading from 'redhat-artwork' to 'bluecurve-gnome-theme' and related
packages, coverage by the 'Bluecurve' icon theme is greatly reduced. GTK widgets
like 'Close' button do not use 'Bluecurve' icons anymore. E.g. desktop icons and
'epiphany' navigation buttons are not aware of the 'Bluecurve' icon theme either.

Version-Release number of selected component (if applicable):
bluecurve-gnome-theme-1.0.0-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Upgrade to 'bluecurve-icon-theme'
2. Switch to 'Bluecurve' icon theme.
  
Actual results:
Only in a couple of places, 'Bluecurve' do actually get used.

Expected results:
At least coverage as by 'redhat-artwork' is achieved.

Additional info:
None [well, I actually wonder if bug 223786 will ever get fixed].
Comment 1 Joachim Frieben 2007-10-11 16:22:16 EDT
Created attachment 224741 [details]
Sample screenshot after switching to 'Bluecurve' theme.
Comment 2 Joachim Frieben 2007-10-11 17:05:48 EDT
Issue has also been noticed by other users:

  https://www.redhat.com/archives/fedora-devel-list/2007-October/msg00791.html
Comment 3 Kevin Kofler 2007-10-11 17:12:59 EDT
I think this snippet from the old redhat-artwork package should be copied into 
the new package:

pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/48x48/filesystems
ln -s ../mimetypes/fileshare.png gnome-fs-ftp.png
popd

# link upstream icon names to the redhat ones in bluecurve
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/
  for s in 16x16 20x20 24x24 32x32 36x36 48x48 64x64 96x96; do
    pushd $s/apps/ 2> /dev/null || continue
      ln -sf redhat-office.png package_wordprocessing.png
      ln -sf redhat-internet.png package_network.png
      ln -sf redhat-accessories.png package_applications.png
      ln -sf redhat-graphics.png package_graphics.png
      ln -sf redhat-games.png package_games.png
      ln -sf redhat-sound_video.png multimedia.png
      ln -sf redhat-preferences.png package_settings.png
      ln -sf redhat-programming.png package_development.png
      ln -sf redhat-system_tools.png package_utilities.png
      ln -sf redhat-system_settings.png package_system.png
      ln -sf redhat-tools.png package_utilities.png
      # app icons
      ln -sf redhat-email.png kmail.png
      ln -sf redhat-web-browser.png konqueror.png
      ln -sf redhat-filemanager.png kfm.png
      ln -sf redhat-home.png kfm_home.png
      ln -sf redhat-logviewer.png kviewshell.png
      ln -sf system-logviewer.png logviewer.png
      # system settings
      ln -sf system-config-soundcard.png multimedia.png
    popd
  done
popd

function flip_icon () {
  pngtopnm $1.png > $1.rgb
  pngtopnm -alpha $1.png > $1.alpha
  pamstack $1.rgb $1.alpha > $1.pam
  pamflip -lr $1.pam > $2.pam
  pamrgbatopng $2.pam > $2.png
  rm -f $1.rgb $1.alpha $1.pam $2.pam
}

function ln_icon () {
  if [ -f $1.png ]; then
    ln -s $1.png $2.png
  fi
  if [ -f $1.icon ]; then
    ln -s $1.icon $2.icon
  fi
  if [ -f $1.svg ]; then
    ln -s $1.svg $2.svg
  fi
}

# link gtk stock icon names to bluecurve ones
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/
  for s in 16x16 24x24 36x36 48x48; do
    if pushd $s/filesystems/ >&/dev/null; then
      ln_icon gnome-fs-directory gtk-directory
      ln_icon gnome-fs-network gtk-network
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon file-container gtk-file
      ln_icon harddrive gtk-harddisk
      popd
    fi
    if pushd $s/stock/ >&/dev/null; then
      ln_icon stock-about gtk-about
      ln_icon stock-connect gtk-connect
      ln_icon stock-disconnect gtk-disconnect
      ln_icon stock-edit gtk-edit
      ln_icon stock-media-ffwd gtk-media-forward-ltr 
      ln_icon stock-media-rewind gtk-media-forward-rtl
      ln_icon stock-media-next gtk-media-next-ltr
      ln_icon stock-media-prev gtk-media-next-rtl
      ln_icon stock-media-pause gtk-media-pause
      ln_icon stock-media-play gtk-media-play-ltr
      ln_icon stock-media-prev gtk-media-previous-ltr
      ln_icon stock-media-next gtk-media-previous-rtl
      ln_icon stock-media-rec gtk-media-record
      ln_icon stock-media-rewind gtk-media-rewind-ltr
      ln_icon stock-media-ffwd gtk-media-rewind-rtl 
      ln_icon stock-media-stop gtk-media-stop
      ln_icon stock-undo gtk-undo-ltr
      ln_icon stock-redo gtk-redo-ltr
      ln_icon stock-font gtk-select-font
      flip_icon stock-media-play gtk-media-play-rtl
      flip_icon stock-undo gtk-undo-rtl
      flip_icon stock-redo gtk-redo-rtl
      popd
    fi
  done
  pushd 48x48/stock/ >&/dev/null || continue
    ln_icon stock-lockscreen gtk-dialog-authentication
  popd
popd


# link icon-naming spec names to bluecurve ones
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/
  for s in 16x16 20x20 24x24 32x32 36x36 48x48 64x64 96x96; do
    if pushd $s/filesystems/ >&/dev/null; then
      ln_icon gnome-fs-trash-empty user-trash
      ln_icon gnome-fs-trash-full user-trash-full
      popd
    fi
    if pushd $s/stock/ >&/dev/null; then
      ln_icon stock-properties document-properties
      ln_icon stock-find-and-replace edit-find-and-replace
      ln_icon stock-undo edit-undo
      ln_icon stock-justify-center format-justify-center
      ln_icon stock-justify-fill format-justify-fill
      ln_icon stock-justify-left format-justify-left
      ln_icon stock-justify-right format-justify-right
      ln_icon stock-strikethrough format-text-strikethrough
      ln_icon stock-underline format-text-underline
      ln_icon stock-goto-bottom go-bottom
      ln_icon stock-go-down go-down
      ln_icon stock-goto-first go-first
      ln_icon stock-goto-last go-last
      ln_icon stock-jump-to go-jump
      ln_icon stock-go-forward go-next
      ln_icon stock-go-back go-previous
      ln_icon stock-go-up go-up
      ln_icon stock-goto-top go-top
      ln_icon stock-zoom-fit zoom-best-fit
      ln_icon stock-quit system-log-out
      ln_icon stock-quit application-exit
      ln_icon stock-apply dialog-ok
      ln_icon stock-close dialog-close
      ln_icon stock-cancel dialog-cancel
      ln_icon stock-bookmark-page bookmark-new
      ln_icon stock-new document-new
      ln_icon stock-open document-open
      ln_icon stock-open document-open-recent
      ln_icon stock-print document-print
      ln_icon stock-print-preview document-print-preview
      ln_icon stock-save document-save
      ln_icon stock-save-as document-save-as
      ln_icon stock-copy edit-copy
      ln_icon stock-cut edit-cut
      ln_icon stock-delete edit-delete
      ln_icon stock-paste edit-paste
      ln_icon stock-bold format-text-bold
      ln_icon stock-italic format-text-italic
      ln_icon stock-mic audio-input-microphone
      ln_icon stock-about help-about
      ln_icon stock-book help-contents
      ln_icon stock-missing-image image-missing
      ln_icon stock-media-pause media-playback-pause
      ln_icon stock-media-play media-playback-start
      ln_icon stock-media-stop media-playback-stop
      ln_icon stock-media-rec media-record
      ln_icon stock-media-rewind media-seek-backward
      ln_icon stock-media-ffwd media-seek-forward 
      ln_icon stock-media-prev media-skip-backward
      ln_icon stock-media-next media-skip-forward
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon harddrive drive-harddisk
      ln_icon cd drive-removable-media
      ln_icon cd drive-optical
      ln_icon floppy media-floppy
      ln_icon cd media-optical
      ln_icon dvd media-flash
      ln_icon folder-home user-home
      ln_icon file-font font-x-generic
      ln_icon file-gfx image-x-generic
      ln_icon file-video video-x-generic
      ln_icon file text-x-generic
      ln_icon file text-x-generic-template
      ln_icon file-executable text-x-script
      ln_icon file-launcher application-x-executable
      ln_icon file-wordprocessor x-office-document
      ln_icon file-presentation x-office-presentation
      ln_icon file-spreadsheet x-office-spreadsheet
      # FIXME
      ln_icon file-wordprocessor x-office-calendar
      ln_icon file-wordprocessor x-office-address-book
      popd
    fi 
    if pushd $s/apps/ >&/dev/null; then
      ln_icon icon-calculator accessories-calculator
      ln_icon icon-character-map accessories-character-map
      ln_icon icon-documentation accessories-dictionary
      ln_icon icon-notepad accessories-text-editor
      ln_icon icon-accessories applications-accessories 
      ln_icon icon-development applications-development 
      ln_icon icon-games applications-games 
      ln_icon icon-help help-browser 
      ln_icon icon-help system-help 
      ln_icon icon-gfx applications-graphics 
      ln_icon icon-network applications-internet 
      ln_icon icon-media applications-multimedia 
      ln_icon icon-office applications-office 
      ln_icon icon-system-configuration applications-system 
      ln_icon icon-computer computer 
      ln_icon icon-system-settings preferences-desktop 
      ln_icon icon-accessibility preferences-desktop-accessibility 
      ln_icon icon-fonts preferences-desktop-font 
      ln_icon icon-keyboard preferences-desktop-keyboard 
      ln_icon icon-languages preferences-desktop-locale 
      ln_icon icon-sound preferences-desktop-multimedia 
      # preferences-desktop-peripherals
      ln_icon icon-user preferences-desktop-personal
      # preferences-desktop-screensaver
      ln_icon icon-themes preferences-desktop-theme
      ln_icon icon-background-picture preferences-desktop-wallpaper
      ln_icon icon-system-configuration preferences-system 
      ln_icon icon-network preferences-system-network
      ln_icon gpm-primary-80 battery 
      ln_icon gpm-primary-20 battery-caution 
      ln_icon gpm-primary-10 battery-low 
      ln_icon camera camera-photo 
      ln_icon icon-games input-gaming 
      ln_icon icon-keyboard input-keyboard 
      ln_icon icon-mouse input-mouse 
      ln_icon icon-systemhealth utilities-system-monitor
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon stock_insert_image insert-image
      ln_icon stock_insert_url insert-link
      ln_icon stock_insert_ole-object insert-object
      popd
    fi
  done
  # some 48 only icons
  if pushd 48x48/stock/ >&/dev/null; then
    ln_icon stock-lockscreen dialog-password
    ln_icon dialog-info dialog-information
  fi
popd
Comment 4 Kevin Kofler 2007-10-11 17:20:45 EDT
Oh, and while you are at it:
>      ln_icon stock-find-and-replace edit-find-and-replace
This should be edit-find-replace according to the current icon-naming-spec. I 
don't know if anything uses edit-find-and-replace, maybe best to support both?
Comment 5 Ray Strode [halfline] 2007-10-11 17:37:28 EDT
No, when making the new icons, I explicitly started from an installed tree
instead of from source, so I could 

1) catch all the symlinks ahead of time
2) make the symlinks be the non-standard names, and the standard names be real files

Somewhere in my hack tower of bash commands I missed some icons i guess.

complete diff is here:
http://rstrode.fedorapeople.org/missing-icons.txt
Comment 6 Kevin Kofler 2007-10-11 17:42:52 EDT
OK. I had seen the symlinks.manifest in the source tarball, so indeed I 
expected the symlinks to have been care of, and I guess I was right. :-) But 
the missing icons need fixing (and edit-find(-and)-replace is one of these, it 
should be fixed to follow the icon-naming-spec).
Comment 7 Kevin Kofler 2007-10-11 17:44:25 EDT
(See: 
http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html - 
the standard name is edit-find-replace, not edit-find-and-replace. I'd file a 
separate bug for this, but it can be fixed all at once.)
Comment 8 Ray Strode [halfline] 2007-10-11 17:48:47 EDT
yup, looking into it now
Comment 9 Ray Strode [halfline] 2007-10-12 03:13:47 EDT
should be fixed in 

bluecurve-icon-theme-8.0.0-1.fc8

which is running through koji now.  I don't think I made it in time for the
rawhid e compose though, so it won't hit rawhide for a day.
Comment 10 Deji Akingunola 2007-10-12 10:01:57 EDT
If I may add it here, the 'redo' icons (edit-redo.png, redo.png and
stock-redo.png) in the 16x16, 24x24 and 36x36 sizes, points in the wrong
direction. It points to the left as the 'undo' icon instead of pointing to the
right. Its OK for the 20x20 and 32x32 sizes.

PS: Really the issue had been in the old redhat-artwork package for a while.
Comment 11 Kevin Kofler 2007-10-12 10:07:57 EDT
I always thought that was an intentional change, but if it isn't done 
consistently, either one or the other direction is wrong. ;-)
Comment 12 Ray Strode [halfline] 2007-10-12 10:48:29 EDT
Deji, would you mind filing a separate bug report about that issue?
Comment 13 Joachim Frieben 2007-10-12 11:40:31 EDT
Thanks, behaves like before now. If only these 'Bluecurve' icons appeared
less blurred .. [bug 223786].

Note You need to log in before you can comment on or make changes to this bug.